# BEGIN SourceDeps(oneline):
BuildRequires: libmemcache-devel perl(ExtUtils/MakeMaker.pm) perl(Storable.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Cache-Memcached-XS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt2.1
Summary: client library for memcached (memory cache daemon) using libmemcache
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JC/JCARON/%module_name-%module_version.tar.gz

%description
This is the Perl API for memcached, a distributed memory cache daemon.
More information is available at:

  http://www.danga.com/memcached/

This version differs from the original Cache::Memcached perl client in
that it uses the libmemcache library and uses quite a lot less CPU.

A few features from the original client are not (yet) supported:

=over 4

=item - no_rehash

=item - debug

=item - stats

=item - disconnect_all

=back

Other than this, it should be pretty much a drop-in replacement for the
original client.



%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.01-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt2
- rebuild to get rid of unmets

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

